//effects
datablock ParticleData(WaspStingSprayParticle)
{
	dragCoefficient      = 2;
	gravityCoefficient   = 1;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	spinRandomMin 	     = -90;
	spinRandomMax 		= 90;
	lifetimeMS           = 500;
	lifetimeVarianceMS   = 300;
	textureName          = "base/data/particles/dot";
	colors[0]     = "0.0 0.9 0.0 0.7";
	colors[1]     = "0.0 0.4 0.0 0.1";
	sizes[0]      = 0.35;
	sizes[1]      = 0.1;
	times[0]	  = 0.0;
	times[1]	  = 1.0;

};

datablock ParticleEmitterData(WaspStingSprayEmitter)
{
   ejectionPeriodMS = 7;
   periodVarianceMS = 1;
   ejectionVelocity = 15;
   velocityVariance = 3.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 60;
   phiReferenceVel  = 45;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "WaspStingSprayParticle";

   uiName = "Wasp Sting Spray";
};

datablock ParticleData(WaspStingParticle)
{
	dragCoefficient      = 0;
	gravityCoefficient   = 0.5;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	spinSpeed      = 1000.0;
	spinRandomMin 	     = -90;
	spinRandomMax 		= 90;
	lifetimeMS           = 20;
	lifetimeVarianceMS   = 10;
	textureName          = "base/data/particles/star1";
	colors[0]     = "0.6 0.8 0.6 0.7";
	colors[1]     = "0.2 0.9 0.2 0.7";
	colors[2]     = "0.0 0.4 0.0 0.1";
	sizes[0]      = 0.6;
	sizes[1]      = 0.6;
	sizes[2]      = 0.1;
	times[0]	  = 0.0;
	times[1]	  = 0.8;
	times[2]	  = 1.0;

};

datablock ParticleEmitterData(WaspStingEmitter)
{
   ejectionPeriodMS = 7;
   periodVarianceMS = 1;
   ejectionVelocity = 2;
   velocityVariance = 1;
   ejectionOffset   = 0.1;
   thetaMin         = 0;
   thetaMax         = 60;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "WaspStingParticle";

   uiName = "Wasp Sting";
};