//Weapon_Bug_AcidBall.cs


//hit effects
//datablock ParticleData(BugAcidBallHitParticle)
//{
//	dragCoefficient      = 4;	//8
//	gravityCoefficient   = 0.5;
//	inheritedVelFactor   = 0.2;
//	constantAcceleration = 0.0;
//	spinRandomMin 	     = -90;
//	spinRandomMax 		= 90;
//	lifetimeMS           = 2000;
//	lifetimeVarianceMS   = 800;
//	textureName          = "base/data/particles/dot";
//	colors[0]     = "0.530 0.825 0.591 0.7";
//	colors[1]     = "0.697 0.770 0.380 0.0";
//	sizes[0]      = 0.20;
//	sizes[1]      = 0.18;
//	times[0]	  = 0.0;
//	times[1]	  = 1.0;

//};

//datablock ParticleEmitterData(BugAcidBallHitEmitter)
//{
//   ejectionPeriodMS = 7;
//   periodVarianceMS = 1;
//   ejectionVelocity = 6;
//   velocityVariance = 2.0;
//   ejectionOffset   = 0.2;
//   thetaMin         = 0;
//   thetaMax         = 60;
//   phiReferenceVel  = 0;
//   phiVariance      = 360;
//   overrideAdvance = false;
//   particles = "BugAcidBallHitParticle";

//   uiName = "Bug Acid Hit";
//};


//trail effects
datablock ParticleData(BugAcidBallParticle)
{
	dragCoefficient      = 5;
	gravityCoefficient   = 0.05;
	inheritedVelFactor   = 0.0;
	constantAcceleration = 0.0;
	spinRandomMin 	     = 0;
	spinRandomMax 		= 0;
	lifetimeMS           = 300;
	lifetimeVarianceMS   = 200;
	textureName          = "base/data/particles/dot";
	colors[0]     = "0.6 0.790 0.4 0.1";
//	colors[1]     = "0.435 0.676 0.472 0.2";
	colors[1]     = "0.5 0.770 0.300 0.0";
	sizes[0]      = 0.8;
	sizes[1]      = 0.0;
//	sizes[2]      = 0.0;
	times[0]	  = 0.0;
	times[1]	  = 1;
//	times[2]	  = 1.0;

	useInvAlpha		= false;

};

datablock ParticleData(BugAcidBallTrailParticle)
{
	dragCoefficient      = 5;
	gravityCoefficient   = 0.05;
	inheritedVelFactor   = 0.0;
	constantAcceleration = 0.0;
	spinRandomMin 	     = 0;
	spinRandomMax 		= 0;
	lifetimeMS           = 700;
	lifetimeVarianceMS   = 200;
	textureName          = "base/data/particles/dot";
	colors[0]     = "0.6 0.790 0.6 0.1";
	colors[1]     = "0.435 0.676 0.472 0.2";
	colors[2]     = "0.697 0.770 0.300 0.0";
	sizes[0]      = 0.5;
	sizes[1]      = 0.15;
	sizes[2]      = 0.0;
	times[0]	  = 0.0;
	times[1]	  = 0.2;
	times[2]	  = 1.0;

	useInvAlpha		= false;

};

datablock ParticleEmitterData(BugAcidBallTrailEmitter)
{
   ejectionPeriodMS = 3;
   periodVarianceMS = 1;
   ejectionVelocity = 0;
   velocityVariance = 0;
   ejectionOffset   = 0.1;
   thetaMin         = 0;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 180;
   overrideAdvance = false;
   particles = "BugAcidBallTrailParticle BugAcidBallParticle";

   uiName = "Bug Acid Ball";
};

datablock ExplosionData(BugAcidBallExplosion)
{
   explosionShape = "base/data/shapes/empty.dts";
   lifeTimeMS = 500;

   soundProfile = swordHitSound;

   particleEmitter = BugAcidSpitHitEmitter;
   particleDensity = 25;
   particleRadius = 0.2;

   faceViewer     = true;
   explosionScale = "1 1 1";

	damageRadius = 3.5;	//4
	radiusDamage = 10;

	impulseRadius = 0.1;
	impulseForce = 1000;

   shakeCamera = true;
   camShakeFreq = "3.0 3.0 2.0";
   camShakeAmp = "10.0 15.0 5.0";
   camShakeDuration = 0.8;
   camShakeRadius = 2.0;

//Poison stuff
	poison = 1;					//(No default)Has to be 1, for the code to recognize this is a poison projectile/explosion
	poisonSound = "BugAcidPulseSound";
	poisonImage = "BugAcidStatusPlayerImage";	//(Default: EmptyPoisonPlayerImage)Visual effect of the poison
	poisonChance = 100;		//(Default: 100) Chance to poison victim (100 for always)
	poisonType = "BugAcid";			//(Default: "Standard") Example: "SpiderPoison", used for immunity checks and curing of specific poisons
	poisonDamage = 5;	//10		//(Default: 1) Do you need an example here? >_>
	poisonMinHealth = 6;	//(Default: 0) Poison stops when it reaches this amount of health. (0 to kill :D)
	poisonPulseDelay = 600;	//700	//(Default: 500, Minimum: 500) Delay (in ms) between pulses (somewhere around 1000 is the best lowest when looking at the interval between heart beats)
	poisonMaxPulses = 5;	//3	//(Default: 10) Maximum amount of pulses
	poisonShake = 0;			//(Default: 0) 0 = No screen shake effect ; 1 = High screen shake effect ; 2 = Medium screen shake effect ; 3 = Low screen shake effect
	poisonFlash = 0;		//(Default: 0) 0 = no flash at all ; 1 = whiteOut every pulse ; 2 = damageFlash (redOut) every pulse
//	poisonFlashAmount = 0;	//(Default: 50) Only used when flash isn't 0, determines intensity of flash
	poisonDrain = 0;		//(Default: 0) 2 = drains (with amount of poisonDamage) health until it's at health determined by poisonMinHealth ; 1 = Acts like a normal poison, but does not stop when the player is on poisonMinHealth.
	poisonSpread = 0;		//(Default: 0) 1 = When a victim touches the poisonInfected person, he/she/it mite get infected too!
	poisonOverwrite = 2;		//(Default: 1) 2 = Overwrites poison victim already has (if they are of the same type) ; 1 = Overwrites poison victim already has ; 0 = Resets poison of victim

};

//projectile
AddDamageType("BugAcidBall",   '<bitmap:add-ons/Weapon_Sword/CI_sword> %1',    '%2 <bitmap:add-ons/Weapon_Sword/CI_sword> %1',0.75,1);
datablock ProjectileData(BugAcidBallProjectile)
{
   directDamage        = 5;
   directDamageType  = $DamageType::BugAcidBall;
   radiusDamageType  = $DamageType::BugAcidBall;
   explosion           = BugAcidBallExplosion;
	particleEmitter = BugAcidBallTrailEmitter;

	impactImpulse	   = 0;
	verticalImpulse	   = 0;

   muzzleVelocity      = 45;	//50
   velInheritFactor    = 0.5;

   armingDelay         = 0;
   lifetime            = 5000;	//1200
   fadeDelay           = 1000;
   bounceElasticity    = 0;
   bounceFriction      = 0;
   isBallistic         = true;
   gravityMod = 1;

   hasLight    = false;
   lightRadius = 3.0;
   lightColor  = "0 0 0.5";

   uiName = "Bug Acid Ball";
};


//////////
// item //
//////////
datablock ItemData(BugAcidBallItem)
{
	category = "Weapon";  // Mission editor category
	className = "Weapon"; // For inventory system

	// Basic Item Properties
	shapeFile = "base/data/shapes/empty.dts";
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = false;

	//gui stuff
	uiName = "Bug Acid Ball";
	iconName = "./icon_acidBall";
	doColorShift = false;
	colorShiftColor = "0.471 0.471 0.471 1.000";

	// Dynamic properties defined by the scripts
	image = BugAcidBallImage;
	canDrop = false;
};

////////////////
//weapon image//
////////////////
datablock ShapeBaseImageData(BugAcidBallImage)
{
   // Basic Item properties
	shapeFile = "base/data/shapes/empty.dts";
	emap = false;

   // Specify mount point & offset for 3rd person, and eye offset
   // for first person rendering.
   mountPoint = 0;
   offset = "0 0 0";

   // When firing from a point offset from the eye, muzzle correction
   // will adjust the muzzle vector to point to the eye LOS point.
   // Since this weapon doesn't actually fire from the muzzle point,
   // we need to turn this off.  
   correctMuzzleVector = true;

   eyeOffset = "0 0 0";

   // Add the WeaponImage namespace as a parent, WeaponImage namespace
   // provides some hooks into the inventory system.
   className = "WeaponImage";

   // Projectile && Ammo.
   item = BowItem;
   ammo = " ";
   projectile = BugAcidBallProjectile;
   projectileType = Projectile;

   //melee particles shoot from eye node for consistancy
   melee = false;
   doRetraction = false;
   //raise your arm up or not
   armReady = false;

   //casing = " ";
   doColorShift = false;
   colorShiftColor = "0.471 0.471 0.471 1.000";

   minShotTime = 1000;   //minimum time allowed between shots (needed to prevent equip/dequip exploit)


	energyUsage = 30;	//20

   // Images have a state system which controls how the animations
   // are run, which sounds are played, script callbacks, etc. This
   // state system is downloaded to the client so that clients can
   // predict state changes and animate accordingly.  The following
   // system supports basic ready->fire->reload transitions as
   // well as a no-ammo->dryfire idle state.

   // Initial start up state
	stateName[0]                     = "Activate";
	stateTimeoutValue[0]             = 0.5;
	stateTransitionOnTimeout[0]      = "Ready";
//	stateSound[0]                    = swordDrawSound;

	stateName[1]                     = "Ready";
	stateTransitionOnTriggerDown[1]  = "Fire";
	stateAllowImageChange[1]         = true;

//	stateName[2]			= "PreFire";
//	stateScript[2]                  = "onPreFire";
//	stateAllowImageChange[2]        = false;
//	stateTimeoutValue[2]            = 0.1;
//	stateTransitionOnTimeout[2]     = "Fire";

	stateName[2]                    = "Fire";
	stateTransitionOnTimeout[2]     = "Ready";
	stateTimeoutValue[2]            = 1.0;		//0.7
	stateFire[2]                    = true;
	stateAllowImageChange[2]        = false;
//	stateSequence[2]                = "Fire";
	stateScript[2]                  = "onFire";
	stateWaitForTimeout[2]			= true;

//	stateName[4]			= "CheckFire";
//	stateTransitionOnTriggerUp[4]	= "StopFire";
//	stateTransitionOnTriggerDown[4]	= "Fire";

	
//	stateName[3]                    = "Recharge";
//	stateTransitionOnTimeout[3]     = "Ready";
//	stateTimeoutValue[3]            = 0.4;
//	stateAllowImageChange[3]        = false;
//	stateWaitForTimeout[3]			= true;
//	stateSequence[3]                = "StopFire";
//	stateScript[3]                  = "onStopFire";


};

function BugAcidBallImage::onFire(%this, %obj, %slot)
{


	if(%obj.getEnergyLevel() >= %this.energyUsage)
	{
		%obj.setEnergyLevel(%obj.getEnergyLevel() - %this.energyUsage);
		%obj.playthread(2, plant);
//	    if(%obj.getDamagePercent() < 1.0)
//			%obj.playthread(2, activate);
		Parent::onFire(%this,%obj,%slot);
	} else {
		centerprint(%obj.client,"<color:ffffff>You need more energy to spit your acid!" ,2);	
	}
}

//function swordImage::onStopFire(%this, %obj, %slot)
//{	
//	%obj.playthread(2, root);
//}

