//Weapon_TmPs_Poison.cs


//hit effects
//datablock ParticleData(MiteSpineShotHitParticle)
//{
//	dragCoefficient      = 6;
//	gravityCoefficient   = 0.4;
//	inheritedVelFactor   = 0.2;
//	constantAcceleration = 0.0;
//	spinRandomMin 	     = -90;
//	spinRandomMax 		= 90;
//	lifetimeMS           = 1600;
//	lifetimeVarianceMS   = 500;
//	textureName          = "base/data/particles/dot";
//	colors[0]     = "0.3 0.32 0.3 0.5";
//	colors[1]     = "0.1 0.1 0.1 0.0";
//	sizes[0]      = 0.15;
//	sizes[1]      = 0.01;
//	times[0]	  = 0.0;
//	times[1]	  = 1.0;
//	useInvAlpha = false;
//};

//datablock ParticleEmitterData(MiteSpineShotHitEmitter)
//{
//   ejectionPeriodMS = 7;
//   periodVarianceMS = 1;
//   ejectionVelocity = 3;
//   velocityVariance = 2.0;
//   ejectionOffset   = 0.2;
//   thetaMin         = 0;
//   thetaMax         = 60;
//   phiReferenceVel  = 0;
//   phiVariance      = 360;
//   overrideAdvance = false;
//   particles = "MiteSpineShotHitParticle";

//   uiName = "TremorMite Spine Hit";
//};


//trail effects
datablock ParticleData(MiteSpineShotTrailParticle)
{
	dragCoefficient      = 1;
	gravityCoefficient   = -0.01;
	inheritedVelFactor   = 0.0;
	constantAcceleration = 0.0;
	spinRandomMin 	     = 0;
	spinRandomMax 		= 0;
	lifetimeMS           = 1000;
	lifetimeVarianceMS   = 200;
	textureName          = "base/data/particles/dot";
	colors[0]     = "0.3 0.35 0.3 0.2";	//0.3 0.3 0.3 0.3
	colors[1]     = "0.1 0.15 0.1 0.0";
//	colors[2]     = "0.01 0.2 0.01 0.0";
	sizes[0]      = 0.14;
	sizes[1]      = 0.01;
//	sizes[2]      = 0.16;
	times[0]	  = 0.0;
	times[1]	  = 1.0;
//	times[2]	  = 1.0;
	useInvAlpha = false;

};

datablock ParticleEmitterData(MiteSpineShotTrailEmitter)
{
   ejectionPeriodMS = 6;	//2
   periodVarianceMS = 1;
   ejectionVelocity = 0;
   velocityVariance = 0;
   ejectionOffset   = 0.01;
   thetaMin         = 0;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 180;
   overrideAdvance = false;
   particles = "MiteSpineShotTrailParticle";

   uiName = "Mite Spine Trail";
};

datablock ExplosionData(MiteSpineShotExplosion)
{
   explosionShape = "base/data/shapes/empty.dts";
   lifeTimeMS = 500;

   soundProfile = swordHitSound;

   particleEmitter = BugBiteHitEmitter;
   particleDensity = 15;
   particleRadius = 0.2;

   faceViewer     = true;
   explosionScale = "1 1 1";

//	damageRadius = 1.5;
//	radiusDamage = 5;

   shakeCamera = true;
   camShakeFreq = "10.0 8.0 5.0";
   camShakeAmp = "7.0 6.0 4.0";
   camShakeDuration = 0.4;
   camShakeRadius = 2.0;
};

//projectile
AddDamageType("MiteSpine",   '<bitmap:add-ons/Weapon_Bow/CI_arrow> %1',    '%2 <bitmap:add-ons/Weapon_Bow/CI_arrow> %1',0.75,1);
datablock ProjectileData(MiteSpineShotProjectile)
{
   projectileShapeName = "./spine_mite_projectile.dts";
   directDamage        = 10;		//13
   directDamageType  = $DamageType::MiteSpine;
   radiusDamageType  = $DamageType::MiteSpine;
   explosion           = "";	//arrowExplosion;

	particleEmitter = MiteSpineShotTrailEmitter;

	impactImpulse	   = 0;
	verticalImpulse	   = 0;	//100

   muzzleVelocity      = 140;		//160
   velInheritFactor    = 0.5;		//1

   armingDelay         = 3000;	//900
   lifetime            = 3000;
   fadeDelay           = 3000;
   bounceElasticity    = 0.2;
   bounceFriction      = 0.01;
   isBallistic         = true;
   gravityMod = 0.5;	//0.25

	bounceAngle         = 175;
	minStickVelocity    = 10;
	stickExplosion        = MiteSpineShotExplosion;
	bloodExplosion        = MiteSpineShotExplosion;
	explodeOnPlayerImpact = true;
	explodeOnDeath        = true;

   hasLight    = false;
   lightRadius = 3.0;
   lightColor  = "0 0 0.5";

   uiName = "Mite Spine";

	//Poison stuff
//	poison = 0;					//(No default)Has to be 1, for the code to recognize this is a poison projectile/explosion
//	poisonImage = ImageName;	//(Default: EmptyPoisonPlayerImage)Visual effect of the poison
//	poisonChance = 70;		//(Default: 100) Chance to poison victim (100 for always)
//	poisonType = "TremorAcid";			//(Default: "Standard") Example: "SpiderPoison", used for immunity checks and curing of specific poisons
//	poisonDamage = 6;		//(Default: 1) Do you need an example here? >_>
//	poisonMinHealth = 15;	//(Default: 0) Poison stops when it reaches this amount of health. (0 to kill :D)
//	poisonPulseDelay = 1000;	//(Default: 500, Minimum: 500) Delay (in ms) between pulses (somewhere around 1000 is the best lowest when looking at the interval between heart beats)
//	poisonMaxPulses = 16;	//(Default: 10) Maximum amount of pulses
//	poisonShake = 2;			//(Default: 0) 0 = No screen shake effect ; 1 = High screen shake effect ; 2 = Medium screen shake effect ; 3 = Low screen shake effect
//	poisonFlash = 2;		//(Default: 0) 0 = no flash at all ; 1 = whiteOut every pulse ; 2 = damageFlash (redOut) every pulse
//	poisonFlashAmount = 40;	//(Default: 50) Only used when flash isn't 0, determines intensity of flash
//	poisonDrain = 1;		//(Default: 0) 1 = drains (with amount of poisonDamage) health until it's at health determined by poisonMinHealth
//	poisonSpread = 1;		//(Default: 0) 1 = When a victim touches the poisonInfected person, he/she/it mite get infected too!
//	poisonOverwrite = 2;		//(Default: 1) 2 = Overwrites poison victim already has (if they are of the same type) ; 1 = Overwrites poison victim already has ; 0 = Resets poison of victim

};


//////////
// item //
//////////
datablock ItemData(MiteSpineShotItem)
{
	category = "Weapon";  // Mission editor category
	className = "Weapon"; // For inventory system

	// Basic Item Properties
	shapeFile = "base/data/shapes/empty.dts";
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = false;

	//gui stuff
	uiName = "Mite Spine Shot";
	iconName = "./icon_spineShot";
	doColorShift = false;
	colorShiftColor = "0.471 0.471 0.471 1.000";

	// Dynamic properties defined by the scripts
	image = MiteSpineShotImage;
	canDrop = false;
};

////////////////
//weapon image//
////////////////
datablock ShapeBaseImageData(MiteSpineShotImage)
{
   // Basic Item properties
	shapeFile = "base/data/shapes/empty.dts";
	emap = false;

   // Specify mount point & offset for 3rd person, and eye offset
   // for first person rendering.
   mountPoint = 0;
   offset = "0 0 0";

   // When firing from a point offset from the eye, muzzle correction
   // will adjust the muzzle vector to point to the eye LOS point.
   // Since this weapon doesn't actually fire from the muzzle point,
   // we need to turn this off.  
   correctMuzzleVector = false;

   eyeOffset = "0 0 0";

   // Add the WeaponImage namespace as a parent, WeaponImage namespace
   // provides some hooks into the inventory system.
   className = "WeaponImage";

   // Projectile && Ammo.
   item = BowItem;
   ammo = " ";
   projectile = MiteSpineShotProjectile;
   projectileType = Projectile;

   //melee particles shoot from eye node for consistancy
   melee = false;
   doRetraction = false;
   //raise your arm up or not
   armReady = false;

   //casing = " ";
   doColorShift = false;
   colorShiftColor = "0.471 0.471 0.471 1.000";

	minShotTime = 1100;

	energyUsage = 40;	//30

   // Images have a state system which controls how the animations
   // are run, which sounds are played, script callbacks, etc. This
   // state system is downloaded to the client so that clients can
   // predict state changes and animate accordingly.  The following
   // system supports basic ready->fire->reload transitions as
   // well as a no-ammo->dryfire idle state.

   // Initial start up state
	stateName[0]                     = "Activate";
	stateTimeoutValue[0]             = 0.2;
	stateTransitionOnTimeout[0]      = "Ready";
//	stateSound[0]                    = swordDrawSound;

	stateName[1]					= "Ready";
	stateTransitionOnTriggerDown[1]	= "PreFire";
	stateAllowImageChange[1]		= true;

	stateName[2]					= "PreFire";
	stateScript[2]					= "onPreFire";
	stateAllowImageChange[2]		= false;
	stateTimeoutValue[2]			= 0.01;
	stateTransitionOnTimeout[2]		= "Fire";
	stateEmitter[2]					= BugBiteHitEmitter;
	stateEmitterTime[2]				= 0.05;		//0.09
	stateEmitterNode[2]				= "muzzleNode";


	stateName[3]                    = "Fire";
	stateTransitionOnTimeout[3]     = "Recharge";
	stateTimeoutValue[3]            = 0.03;
	stateFire[3]                    = true;
	stateAllowImageChange[3]        = false;
//	stateSequence[3]                = "Fire";
	stateScript[3]                  = "onFire";
	stateWaitForTimeout[3]			= true;

//	stateName[4]                    = "Fire2";
//	stateTransitionOnTimeout[4]     = "Fire3";
//	stateTimeoutValue[4]            = 0.04;
//	stateFire[4]                    = true;
//	stateAllowImageChange[4]        = false;
//	stateSequence[4]                = "Fire";
//	stateScript[4]                  = "onFire";
//	stateWaitForTimeout[4]			= true;

//	stateName[5]                    = "Fire3";
//	stateTransitionOnTimeout[5]     = "Recharge";
//	stateTimeoutValue[5]            = 0.01;
//	stateFire[5]                    = true;
//	stateAllowImageChange[5]        = false;
//	stateSequence[5]                = "Fire";
//	stateScript[5]                  = "onFire";
//	stateWaitForTimeout[5]			= true;

	stateName[6]                    = "Recharge";
	stateTransitionOnTimeout[6]     = "Ready";
	stateTimeoutValue[6]            = 1;		//0.7
	stateAllowImageChange[6]        = true;
	stateWaitForTimeout[6]			= true;
//	stateSequence[6]                = "StopFire";
//	stateScript[6]                  = "onStopFire";
};

function MiteSpineShotImage::onPreFire(%this, %obj, %slot)
{
		%obj.playthread(2, plant);
//	    if(%obj.getDamagePercent() < 1.0)
//			%obj.playthread(2, activate);
//		Parent::onPreFire(%this,%obj,%slot);
}

function MiteSpineShotImage::onFire(%this,%obj,%slot)
{
	if(%obj.getEnergyLevel() >= %this.energyUsage)
	{
		%obj.setEnergyLevel(%obj.getEnergyLevel() - %this.energyUsage);


		%projectile = %this.projectile;
		%spread = 0.0035;	//0.003
		%shellcount = 6;	//8

		for(%shell=0; %shell<%shellcount; %shell++)
		{
			%vector = %obj.getMuzzleVector(%slot);
			%objectVelocity = %obj.getVelocity();
			%vector1 = VectorScale(%vector, %projectile.muzzleVelocity);
			%vector2 = VectorScale(%objectVelocity, %projectile.velInheritFactor);
			%velocity = VectorAdd(%vector1,%vector2);
			%x = (getRandom() - 0.5) * 10 * 3.1415926 * %spread;
			%y = (getRandom() - 0.5) * 10 * 3.1415926 * %spread;
			%z = (getRandom() - 0.5) * 10 * 3.1415926 * %spread;
			%mat = MatrixCreateFromEuler(%x @ " " @ %y @ " " @ %z);
			%velocity = MatrixMulVector(%mat, %velocity);

			%p = new (%this.projectileType)()
			{
				dataBlock = %projectile;
				initialVelocity = %velocity;
				initialPosition = %obj.getMuzzlePoint(%slot);
				sourceObject = %obj;
				sourceSlot = %slot;
				client = %obj.client;
			};
			MissionCleanup.add(%p);
		}
		return %p;
	} else {
		centerprint(%obj.client,"<color:ffffff>You need more energy to fire your spines!" ,2);	
	}
}

//function swordImage::onStopFire(%this, %obj, %slot)
//{	
//	%obj.playthread(2, root);
//}
